/* ========================================
 *  NaturalizeDither - NaturalizeDither.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "NaturalizeDither.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::NaturalizeDither {

NaturalizeDither::NaturalizeDither()
{
	bynL[0] = 1000;
	bynL[1] = 301;
	bynL[2] = 176;
	bynL[3] = 125;
	bynL[4] = 97;
	bynL[5] = 79;
	bynL[6] = 67;
	bynL[7] = 58;
	bynL[8] = 51;
	bynL[9] = 46;
	bynL[10] = 1000;

	bynR[0] = 1000;
	bynR[1] = 301;
	bynR[2] = 176;
	bynR[3] = 125;
	bynR[4] = 97;
	bynR[5] = 79;
	bynR[6] = 67;
	bynR[7] = 58;
	bynR[8] = 51;
	bynR[9] = 46;
	bynR[10] = 1000;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int NaturalizeDither::getParameterCount() const
{
	return kNumParameters;
}

void NaturalizeDither::setParameter(int index, float value) {
}

float NaturalizeDither::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void NaturalizeDither::getParameterName(int index, char *text) {
}

void NaturalizeDither::getParameterDisplay(int index, char *text) {
}

void NaturalizeDither::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
